# SPDX-FileCopyrightText: Emery Hemingway
#
# SPDX-License-Identifier: LicenseRef-Hippocratic-1.1

let
  pkgOverlay = self: super:
    # Overlay of locally defined packages
    with self; {
      depot = callPackage ./depot { };
      dhallPackages = super.dhallPackages // (callPackage ./dhall { });
      genode = (callPackage ./upstream { } // {
        nic_bus = callPackage ./pkgs/nic_bus { };
      });
      nova = callPackage ./NOVA { };
      solo5 = callPackage ./solo5 { };
    };

  toolchainOverlay = import ./toolchain-overlay;
  # Overlay of toolchain patches

in { nixpkgs ? import ./nixpkgs.nix }:

import nixpkgs {
  # Evaluate an overlayed Nixpkgs for a Genode target
  config.allowUnsupportedSystem = true;
  crossSystem = {
    isx86_64 = true;
    isGenode = true;
    imports = [ ./platform.nix ];
  };
  overlays = [ toolchainOverlay pkgOverlay ];
}
