let Genode = env:DHALL_GENODE

in    λ(_ : {})
    → { nic =
            Genode.Init.Start.defaults
          ⫽ { binary = "nic_loopback", provides = [ "Nic" ] }
      , bridge =
            Genode.Init.Start.defaults
          ⫽ { binary = "nic_bridge"
            , resources = { caps = 200, ram = Genode.units.MiB 6 }
            , provides = [ "Nic" ]
            , routes = [ Genode.ServiceRoute.child "Nic" "nic" ]
            , config =
                Genode.Prelude.XML.text
                  ''
                  <config mac="02:02:02:02:03:00" verbose="no">
                  	<policy label_prefix="ping_serve" ip_addr="10.0.0.2"/>
                  	<default-policy/>
                  </config>
                  ''
            }
      , ping_serve =
            Genode.Init.Start.defaults
          ⫽ { binary = "solo5-test_net"
            , resources = { caps = 256, ram = Genode.units.MiB 3 }
            , routes =
                [ Genode.ServiceRoute.parent "Timer"
                , Genode.ServiceRoute.child "Nic" "bridge"
                ]
            , config =
                Genode.Prelude.XML.text
                  ''
                  <config><cmdline>limit</cmdline></config>
                  ''
            }
      , ping =
            Genode.Init.Start.defaults
          ⫽ { binary = "ping"
            , resources = { caps = 128, ram = Genode.units.MiB 6 }
            , routes =
                [ Genode.ServiceRoute.parent "Timer"
                , Genode.ServiceRoute.child "Nic" "bridge"
                ]
            , config =
                Genode.Prelude.XML.text
                  ''
                  <config interface="10.0.0.72/24"
                          dst_ip="10.0.0.2"
                          period_sec="1"
                          verbose="no"
                          count="8"/>
                  ''
            }
      }
