let Genode = env:DHALL_GENODE

in    λ(_ : {})
    → { nic =
            Genode.Init.Start.defaults
          ⫽ { binary = "nic_loopback", provides = [ "Nic" ] }
      , block =
            Genode.Init.Start.defaults
          ⫽ { binary = "ram_block"
            , provides = [ "Block" ]
            , resources = { caps = 96, ram = Genode.units.MiB 9 }
            , config =
                Genode.Prelude.XML.text
                  ''
                    <config size="8M" block_size="4096"/>
                  ''
            }
      , test =
            Genode.Init.Start.defaults
          ⫽ { binary = "sequence"
            , resources = { caps = 256, ram = Genode.units.MiB 10 }
            , routes =
                [ Genode.ServiceRoute.parent "Timer"
                , Genode.ServiceRoute.child "Block" "block"
                , Genode.ServiceRoute.child "Nic" "nic"
                ]
            , config =
                Genode.Prelude.XML.text
                  ''
                   <config>
                   	<start name="solo5-test_hello">
                   		<config>
                   			<cmdline>Hello_Solo5</cmdline>
                   			<nic/> <blk/>
                   		</config>
                   	</start>
                   	<start name="solo5-test_fpu"/>
                   	<start name="solo5-test_globals"/>
                   	<start name="solo5-test_quiet"/>
                   	<start name="solo5-test_blk"/>
                   	<start name="solo5-test_ssp"/>
                  </config>
                   ''
            }
      }
